stages:
  - build and deploy

build and deploy:
  stage: build and deploy
  only:
    - main
  image: node:latest
  before_script:
    - apt-get update -qq && apt-get install -y -qq lftp
  script:
    - npm install
    - npm run build
    - |
      cd dist
      lftp -c "
      set ftp:ssl-allow no;
      open -u $USERNAME,$PASSWORD $HOST;
      mirror --reverse --verbose --ignore-time --parallel=10 \
        -x 'accounts/' \
        -x 'cache/' \
        -x 'sessions/' \
        site site;
      mirror --reverse --verbose --ignore-time --parallel=10 \
        assets assets;
      quit"
